package com.ruoyi.finance.excel;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 入库导出
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class Payment {
    private static final long serialVersionUID = 1L;

    /**
     * 结算单位
     */
    @Excel(name = "制单人")
    private String createBy;


    /**
     * 系统编号
     */
    @Excel(name = "系统编号")
    private String fBillno;


    /**
     * 货权方
     */
    @Excel(name = "货权方")
    private String fCtrlcorpid;


    /**
     * 入（出）库日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "账单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTime;

    /**
     * 入（出）库日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "收费日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fAccbilldate;


    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String tMblno;

    /**
     * 提单号
     */
    @Excel(name = "收费方式")
    private String chargingMethod;


    /**
     * 提单号
     */
    @Excel(name = "发票号")
    private String invoiceNo;

    /**
     * 提单号
     */
    @Excel(name = "收款银行")
    private String bank;

    /**
     * 提单号
     */
    @Excel(name = "水单号")
    private String waterBillNo;



    /**
     * 金额
     */
    @Excel(name = "应付合计")
    private Float fAmtdr;

    /**
     * 对账金额
     */
    @Excel(name = "实付合计")
    private Float fAmtcr;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String fRemarks;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String fBillstatus;

    public String getChargingMethod() {
        return chargingMethod;
    }

    public void setChargingMethod(String chargingMethod) {
        this.chargingMethod = chargingMethod;
    }

    public String getfBillstatus() {
        return fBillstatus;
    }

    public void setfBillstatus(String fBillstatus) {
        this.fBillstatus = fBillstatus;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getfBillno() {
        return fBillno;
    }

    public void setfBillno(String fBillno) {
        this.fBillno = fBillno;
    }

    public String getfCtrlcorpid() {
        return fCtrlcorpid;
    }

    public void setfCtrlcorpid(String fCtrlcorpid) {
        this.fCtrlcorpid = fCtrlcorpid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getfAccbilldate() {
        return fAccbilldate;
    }

    public void setfAccbilldate(Date fAccbilldate) {
        this.fAccbilldate = fAccbilldate;
    }

    public String gettMblno() {
        return tMblno;
    }

    public void settMblno(String tMblno) {
        this.tMblno = tMblno;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getBank() {
        return bank;
    }

    public void setBank(String bank) {
        this.bank = bank;
    }

    public String getWaterBillNo() {
        return waterBillNo;
    }

    public void setWaterBillNo(String waterBillNo) {
        this.waterBillNo = waterBillNo;
    }

    public Float getfAmtdr() {
        return fAmtdr;
    }

    public void setfAmtdr(Float fAmtdr) {
        this.fAmtdr = fAmtdr;
    }

    public Float getfAmtcr() {
        return fAmtcr;
    }

    public void setfAmtcr(Float fAmtcr) {
        this.fAmtcr = fAmtcr;
    }

    public String getfRemarks() {
        return fRemarks;
    }

    public void setfRemarks(String fRemarks) {
        this.fRemarks = fRemarks;
    }
}
